#ifndef VASSILIS_EDGE_LINE_H
#define VASSILIS_EDGE_LINE_H

#include <vector>

#include "algorithms.h"


class vLineSegment
{
private:
  vPoint start;
  vPoint end;
  double orientation;
  double distance_from_origin;
  vector<V_Point> points;

public:
  vLineSegment(double orientation, double distance_from_origin, 
                vector<V_Point> points);
  ~vLineSegment();
};





#endif // VASSILIS_EDGE_LINE_H

