#ifndef VASSILIS_MFC_AUX_H
#define VASSILIS_MFC_AUX_H

#include <vector>

CString vGetFilenameRead(const char * init_name, const char * filter);
CString vGetFilenameWrite(const char * init_name, const char * filter);
void vGetFilenames(const char * init_dir, const char * filter,
										std::vector<CString> * filenames);
void vGetMoreFilenames(const char * init_dir, const char * filter,
												std::vector<CString> * filenames);
CString vVectorToCString(std::vector<CString> * strings);

HANDLE vNewThread(AFX_THREADPROC thread_function, void * args,
                   DWORD * thread_id);

void vSendMouseClick(HWND handle, int x, int y);

// Returns in a 64-bit integer the free disk space on the drive
// that corresponds to the given filename.
ULONGLONG vFreeDiskSpace(char * filename);

char * vFileTitlePC(const char * filename);


#endif // VASSILIS_MFC_AUX_H
