#ifndef VASSILIS_NET_UTILS_H
#define VASSILIS_NET_UTILS_H

#include <Afxsock.h>

typedef unsigned short ushort;

long vWrite_N_Bytes(CSocket * socket, char * buffer, long n);
long vRead_N_Bytes(CSocket * socket, char * buffer, long n);
void vForce_Write_N(CSocket * socket, char * buffer, long n);
void vForce_Read_N(CSocket * socket, char * buffer, long n);

void vWriteLong(CSocket * socket, long number, ushort & success);
long vReadLong(CSocket * socket, ushort & success);
void vForceWriteLong(CSocket * socket, long number);
long vForceReadLong(CSocket * socket);

void vWriteString(CSocket * socket, char * string, ushort & success);
char * vReadString(CSocket * socket, ushort & success);
void vForceWriteString(CSocket * socket, char * string);
char * vForceReadString(CSocket * socket);


CSocket * vMakeServer(int tcp_port);
unsigned short vMakeServer(CSocket * socket, int tcp_port);
CSocket * vMakeClient(char * server_address, int tcp_port);
unsigned short vMakeClient(CSocket * socket,
							char * server_address, int tcp_port);




#endif  // VASSILIS_NET_UTILS_H