#include "stdafx.h"

#include <assert.h>
#include <string.h>

#include "basics/auxiliaries.h"
#include "pc_aux.h"


using std::vector;


void bzero(void * buffer, long bytes)
{
	long long_bytes = bytes / sizeof(long);
	long left_overs = bytes % sizeof(long);
	long * long_buffer = (long *) buffer;
	long i;
	for (i = 0; i < long_bytes; i++)
		long_buffer[i] = 0;
	char * char_buffer = (char *) &(long_buffer[long_bytes]);
	for (i = 0; i < left_overs; i++)
		char_buffer[i] = 0;
}


//int strcasecmp(const char * string1, const char * string2)
//{
//	return _stricmp(string1, string2);
//}


char * vSimpleNamePC(char * filename)
{
	return vSimpleName(filename, "\\");
}


void vSimpleNamePC(char * filename, char * simple_name)
{
	char * temp_name = vSimpleNamePC(filename);
	strcpy(simple_name, temp_name);
	vdelete2(temp_name);
}


