#ifndef VASSILIS_GL_UTILS_H
#define VASSILIS_GL_UTILS_H


#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>

#include "image.h"

color_image * vGLReadColor2(long rows, long cols);

color_image * vGLReadColor4(long top, long left, long rows, long cols);

ushort vGLReadColor5(color_image * target, long top, long left,
                     long rows, long cols);


v3dMatrix<float> * vGLReadDepth2(long rows, long cols);

v3dMatrix<float> * vGLReadDepth4(long top, long left, long rows, long cols);

ushort vGLReadDepth5(v3dMatrix<float> * the_image, long top, long left,
                      long rows, long cols);






#endif // VASSILIS_GL_UTILS_H
