#ifndef VASSILIS_PLATFORM_H
#define VASSILIS_PLATFORM_H

//#define VASSILIS_SGI_PLATFORM

#ifdef VASSILIS_SGI_PLATFORM
static const char * vFOPEN_READ = "r";
static const char * Vassilis_read_file = "r";
static const char * vFOPEN_WRITE = "w";
static const char * Vassilis_save_file = "w";
static char * platform_directory_slash = "/";
static const char * MOVE_COMMAND = "mv";
#define VASSILIS_STDAFX_H "vassilis_stdafx.h"
#endif // VASSILIS_SGI_PLATFORM


#ifdef VASSILIS_WINDOWS_MFC
#define VASSILIS_WINDOWS
#endif // VASSILIS_WINDOWS_MFC

#ifdef VASSILIS_WINDOWS_DOS
#define VASSILIS_WINDOWS
#endif // VASSILIS_WINDOWS_DOS


#ifdef VASSILIS_WINDOWS
static const char * vFOPEN_READ = "rb";
static const char * Vassilis_read_file = "rb";
static const char * vFOPEN_WRITE = "wb";
static const char * Vassilis_save_file = "wb";
static char * platform_directory_slash = "\\";
static const char * MOVE_COMMAND = "move";
static const char * sequence_filter = "Video Sequences|\
*.avi;*.rle;*.ppm;*.vimseq1;*.vimseq3;*.bmp;*.ppm;*.pgm;*.aviset;*.medical;*.ima|\
AVI files|*.avi|RLE files|*.rle|vimseq files|*.vimseq1;*.vimseq3|\
BMP files|*.bmp|PPM files|*.ppm|PGM files|*.pgm|\
AVI set files|*.aviset|Medical sequences|*.medical|DICOM sequences|*.ima||";
typedef __int64 vint8;

#endif // VASSILIS_WINDOWS

#ifdef VASSILIS_LINUX
typedef long long vint8;
#endif // VASSILIS_LINUX

typedef char vint1;
typedef short vint2;
typedef int vint4;
typedef unsigned char vuint1;
typedef unsigned short vuint2;
typedef unsigned long vuint4;


#ifdef VASSILIS_RELEASE_VERSION
//#define VASSILIS_USE_vArray
//#define VASSILIS_MEMORY_CHECK
#else
//#define VASSILIS_USE_vArray
//#define VASSILIS_MEMORY_CHECK
#endif // VASSILIS_RELEASE_VERSION


#endif // VASSILIS_PLATFORM_H
